hpp-constraints: hpp::constraints::function::OfParameterSubset Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::constraints::function::OfParameterSubset Class Reference

`#include <hpp/constraints/function/of-parameter-subset.hh>`

Inheritance diagram for hpp::constraints::function::OfParameterSubset:
[legend]
Collaboration diagram for hpp::constraints::function::OfParameterSubset:
[legend]

## Static Public Member Functions
static OfParameterSubsetPtr_t | create (const DifferentiableFunctionPtr_t &g, const size_type &nArgs, const size_type &nDers, const segment_t &inArgs, const segment_t &inDers)
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)

## Protected Member Functions
| OfParameterSubset (const DifferentiableFunctionPtr_t &g, const size_type &nArgs, const size_type &nDers, const segment_t &inArgs, const segment_t &inDers)
void | impl_compute (LiegroupElementRef y, vectorIn_t arg) const
| User implementation of function evaluation.
void | impl_jacobian (matrixOut_t J, vectorIn_t arg) const
bool | isEqual (const DifferentiableFunction &other) const
std::ostream & | print (std::ostream &os) const
| Display object in a stream.
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction ()

## Protected Attributes
DifferentiableFunctionPtr_t | g_
const segment_t | sa_
const segment_t | sd_
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
| Dimension of input vector.
size_type | inputDerivativeSize_
| Dimension of input derivative.
LiegroupSpacePtr_t | outputSpace_
| Dimension of output vector.
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Additional Inherited Members
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
| Get dimension of input vector.
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
| Get output space.
size_type | outputSize () const
| Get dimension of output vector.
size_type | outputDerivativeSize () const
| Get dimension of output derivative vector.
const std::string & | name () const
| Get function name.
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Detailed Description

Function depending on a subset of parameters

This class implements a function over a configuration space, the output values of which only depend on a convex subset of parameters.

where

- is the dimension of the input configuration space,
- is an interval included in ,
- is a differentiable mapping from to the output space of .

## Constructor & Destructor Documentation

## ◆ OfParameterSubset()

hpp::constraints::function::OfParameterSubset::OfParameterSubset | ( | const DifferentiableFunctionPtr_t & | g,
|  | const size_type & | nArgs,
|  | const size_type & | nDers,
|  | const segment_t & | inArgs,
|  | const segment_t & | inDers )
| protected

Constructor

Parameters

  g | the mapping from the subset of parameters to the output space,
  nArgs | dimension of the input space representation,
  nDers | dimension of the input tangent space,
  inArgs | interval of configuration indices,
  inDers | interval of velocity indices.

## Member Function Documentation

## ◆ create()

static OfParameterSubsetPtr_t hpp::constraints::function::OfParameterSubset::create | ( | const DifferentiableFunctionPtr_t & | g,
|  | const size_type & | nArgs,
|  | const size_type & | nDers,
|  | const segment_t & | inArgs,
|  | const segment_t & | inDers )
| inline static

Create instance and return shared pointer

Parameters

  g | the mapping from the subset of parameters to the output space,
  nArgs | dimension of the input space representation,
  nDers | dimension of the input tangent space,
  inArgs | interval of configuration indices,
  inDers | interval of velocity indices.

## ◆ impl_compute()

void hpp::constraints::function::OfParameterSubset::impl_compute | ( | LiegroupElementRef | result,
|  | vectorIn_t | argument ) const
| inline protected virtual

User implementation of function evaluation.

Implements hpp::constraints::DifferentiableFunction.

## ◆ impl_jacobian()

void hpp::constraints::function::OfParameterSubset::impl_jacobian | ( | matrixOut_t | J,
|  | vectorIn_t | arg ) const
| inline protected virtual

Implements hpp::constraints::DifferentiableFunction.

## ◆ isEqual()

bool hpp::constraints::function::OfParameterSubset::isEqual | ( | const DifferentiableFunction & | other | ) | const
| inline protected virtual

Reimplemented from hpp::constraints::DifferentiableFunction.

## ◆ print()

std::ostream & hpp::constraints::function::OfParameterSubset::print | ( | std::ostream & | o | ) | const
| protected virtual

Display object in a stream.

Reimplemented from hpp::constraints::DifferentiableFunction.

## Member Data Documentation

## ◆ g_

DifferentiableFunctionPtr_t hpp::constraints::function::OfParameterSubset::g_
| protected

## ◆ sa_

const segment_t hpp::constraints::function::OfParameterSubset::sa_
| protected

## ◆ sd_

const segment_t hpp::constraints::function::OfParameterSubset::sd_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/function/of-parameter-subset.hh